Package org.apache.sling.sitemap

## Enum SitemapInfo.Status

- java.lang.Object
- - java.lang.Enum<SitemapInfo.Status>
  - - org.apache.sling.sitemap.SitemapInfo.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<SitemapInfo.Status>`

Enclosing interface:
  SitemapInfo

    public static enum SitemapInfo.Status
    extends Enum<SitemapInfo.Status>

### Enum Constant Summary

Enum Constants
`ON_DEMAND` Sitemap is available but served on-demand.
`SCHEDULED` Sitemap is not yet available, generation is pending.
`STORAGE` Sitemap is available and served from storage.
`UNKNOWN` Sitemap not served on-demand, not served from storage, no schedule registered.

### Method Summary

All Methods Static Methods Concrete Methods
`static SitemapInfo.Status` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SitemapInfo.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ON_DEMAND

    public static final SitemapInfo.Status ON_DEMAND

Sitemap is available but served on-demand.

#### STORAGE

    public static final SitemapInfo.Status STORAGE

Sitemap is available and served from storage.

#### SCHEDULED

    public static final SitemapInfo.Status SCHEDULED

Sitemap is not yet available, generation is pending.

#### UNKNOWN

    public static final SitemapInfo.Status UNKNOWN

Sitemap not served on-demand, not served from storage, no schedule registered.

That may mean the sitemap is generated on a different host.

### Method Detail

#### values

    public static SitemapInfo.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SitemapInfo.Status c : SitemapInfo.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SitemapInfo.Status valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null